/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 */

package com.funambol.mailclient.ui.view;

import com.funambol.mailclient.cm.Contact;



/**
 * interface for comparing contactitems and sorting them
 */
public interface ContactItemComparator {

    /**
     * @return a number <0 if c1<c2, a number >0 if c1>c2, 
     * 0 if c1 and c2 are equivalent
     * @param c1 the first contact
     * @param c2 the second contact
     */
    public int compare(ContactItem c1, ContactItem c2);
    
}
