/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/*
 * DeletePopupAction.java
 */

package com.funambol.mailclient.ui.view;

import com.funambol.mail.Message;
import com.funambol.mailclient.ui.controller.UIController;
import com.funambol.util.Log;
import javax.microedition.lcdui.Item;


public class DeletePopupAction implements PopupAction {
    
    private Message msg;
    
    public DeletePopupAction(Message msg) {
        this.msg = msg;
    }
    
    public void cancel() {
        UIController.showBackScreen();
    }
    
    public void confirm() {
        UIController.deleteMessage(msg);
        if (UIController.backStack.peek() instanceof FunCanvasViewMessage) {
            UIController.showInboxScreen();
        } else {
            UIController.showBackScreen();
        }
    }
    
}
